org.apache.cassandra.hints

## Class LegacyHintsMigrator

- java.lang.Object
- - org.apache.cassandra.hints.LegacyHintsMigrator

-     public final class LegacyHintsMigrator
      extends java.lang.Object

  A migrator that goes through the legacy system.hints table and writes all the hints to the new hints storage format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyHintsMigrator(java.io.File hintsDirectory, long maxHintsFileSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `migrate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyHintsMigrator

          public LegacyHintsMigrator(java.io.File hintsDirectory,
                                     long maxHintsFileSize)

  - ### Method Detail

    - #### migrate

          public void migrate()

Copyright © 2018 The Apache Software Foundation